Package ru.bitel.bgbilling.kernel.admin.webmenu.common.service

# Interface WebMenuService

    public interface WebMenuService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `org.json.JSONArray` | `getComponentList()` |
  `org.json.JSONArray` | `getContractSearchModuleList()` |
  `java.util.List<ru.bitel.bgbilling.common.model.KeyValue>` | `getIconDirs()` |
  `java.util.List<ru.bitel.bgbilling.common.model.KeyValue>` | `getIconFiles​(java.lang.String dirName)` |
  `void` | `setWebMenuIdForContract​(int webMenuItemId, int contractId)` |
  `void` | `updateContractSearchModuleParams​(java.lang.String className, org.json.JSONArray params)` |
  `org.json.JSONObject` | `webActionOperations()` |
  `java.util.List<WebMenuItem>` | `webMenuContractList​(int contractId)` |
  `void` | `webMenuDataDelete​(int webMenuItemId)` |
  `java.lang.String` | `webMenuDataGet​(int webMenuItemId)` |
  `void` | `webMenuDataUpdate​(int webMenuItemId, java.lang.String webMenuItemData)` |
  `WebMenuItem` | `webMenuInfoGet​(int webMenuItemId)` |
  `WebMenuItem` | `webMenuInfoUpdate​(WebMenuItem webMenuItem)` |
  `WebMenuModuleItem[]` | `webMenuKernelItems()` |
  `java.util.List<WebMenuItem>` | `webMenuList​(boolean loadCount)` |
  `WebMenuModuleItem[]` | `webMenuModuleItems()` |
  `WebMenuModuleItem[]` | `webMenuPluginItems()` |

- ## Method Details

  - ### webMenuList

    java.util.List<WebMenuItem> webMenuList​(boolean loadCount) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### webMenuContractList

    java.util.List<WebMenuItem> webMenuContractList​(int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### setWebMenuIdForContract

    void setWebMenuIdForContract​(int webMenuItemId, int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### webMenuInfoUpdate

    WebMenuItem webMenuInfoUpdate​(WebMenuItem webMenuItem) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### webMenuDataUpdate

    void webMenuDataUpdate​(int webMenuItemId, java.lang.String webMenuItemData) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### webMenuInfoGet

    WebMenuItem webMenuInfoGet​(int webMenuItemId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### webMenuDataGet

    java.lang.String webMenuDataGet​(int webMenuItemId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### webMenuDataDelete

    void webMenuDataDelete​(int webMenuItemId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### webMenuKernelItems

    WebMenuModuleItem[] webMenuKernelItems() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### webMenuModuleItems

    WebMenuModuleItem[] webMenuModuleItems() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### webMenuPluginItems

    WebMenuModuleItem[] webMenuPluginItems() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### webActionOperations

    org.json.JSONObject webActionOperations() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getIconDirs

    java.util.List<ru.bitel.bgbilling.common.model.KeyValue> getIconDirs() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getIconFiles

    java.util.List<ru.bitel.bgbilling.common.model.KeyValue> getIconFiles​(java.lang.String dirName) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getComponentList

    org.json.JSONArray getComponentList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getContractSearchModuleList

    org.json.JSONArray getContractSearchModuleList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateContractSearchModuleParams

    void updateContractSearchModuleParams​(java.lang.String className, org.json.JSONArray params) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`